package CHAPTER05;

public class C5_03_Car {
    String model;
    int speed;

    void displayInfo() {
        System.out.println("자동차 모델: " + model + ", 속도: " + speed + "km/h");
    }

    public static void main(String[] args) {
        // 첫 번째 참조 변수 car1 선언 및 객체 생\
        C5_03_Car car1 = new C5_03_Car();
        car1.model = "테슬라 모델1";
        car1.speed = 230;
        car1.displayInfo();
        
        // 두 번째 참조 변수 car2에 car1의 참조 값을 저장 (같은 객체를 가리킴)
        C5_03_Car car2 = new C5_03_Car();
        car2.model = "테슬라 모델2";
        car2.speed = 210;
        car2.displayInfo();
    }
}